### Function

# GnomeAutoar query_mime_type_supported

#### Declaration [src]

    gboolean
    autoar_query_mime_type_supported (
      GFile* file
    )

#### Description [src]

This function will query the file’s mime type and then call autoar_check_mime_type_supported(), so it does blocking IO.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` to check if its mime type is supported.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the mime type of the `GFile` is supported.